API Time Series Slice
This endpoint will provide the full timeseries of a slice of data.
There are a set of mandatory URL parameters and optional query parameters:
Note that by default, results are paginated by a page size of 5
This page size can be changed using the page_size parameter. The maximum supported page size is 365.
Whereby the mandatory URL parameters are as follows in order from first to last:
-
theme- The largest topical subgroup e.g. infectious_disease -
sub_theme- A topical subgroup e.g. respiratory -
topic- The name of the topic e.g. COVID-19 -
geography_type- The type of the geography type e.g. Nation -
geography- The name of the geography associated with metric e.g. London -
metric- The name of the metric being queried for e.g. COVID-19_deaths_ONSByDay
From here you can filter the data further via a set of optional query parameters:
-
stratum- Smallest subgroup a metric can be broken down into e.g. ethnicity, testing pillar -
age- Smallest subgroup a metric can be broken down into e.g. 15_44 for the age group of 15-44 years -
sex- Patient gender e.g. f for Female or all for all genders -
year- Epi year of the metrics value (important for annual metrics) e.g. 2020 -
month- Epi month of the metric value (important for monthly metrics) e.g. 12 -
epiweek- Epi week of the metric value (important for weekly metrics) e.g. 30 -
date- The date which this metric value was recorded in the format YYYY-MM-DD e.g. 2020-07-20 -
in_reporting_delay_period- A boolean indicating whether the data point is considered to be subject to retrospective updates.
GET /themes/infectious_disease/sub_themes/respiratory/topics/COVID-19/geography_types/Nation/geographies/England/metrics/COVID-19_testing_PCRcountByDay
{ "count": 2187, "next": "https://api.ukhsa-dashboard.data.gov.uk/themes/infectious_disease/sub_themes/respiratory/topics/COVID-19/geography_types/Nation/geographies/England/metrics/COVID-19_testing_PCRcountByDay?page=2", "previous": null, "results": [ { "theme": "infectious_disease", "sub_theme": "respiratory", "topic": "COVID-19", "geography_type": "Nation", "geography": "England", "geography_code": "E92000001", "metric": "COVID-19_testing_PCRcountByDay", "metric_group": "testing", "stratum": "default", "sex": "all", "age": "all", "year": 2020, "month": 2, "epiweek": 6, "date": "2020-02-08", "metric_value": 535.0, "in_reporting_delay_period": false }, { "theme": "infectious_disease", "sub_theme": "respiratory", "topic": "COVID-19", "geography_type": "Nation", "geography": "England", "geography_code": "E92000001", "metric": "COVID-19_testing_PCRcountByDay", "metric_group": "testing", "stratum": "default", "sex": "all", "age": "all", "year": 2020, "month": 2, "epiweek": 6, "date": "2020-02-09", "metric_value": 798.0, "in_reporting_delay_period": false }, { "theme": "infectious_disease", "sub_theme": "respiratory", "topic": "COVID-19", "geography_type": "Nation", "geography": "England", "geography_code": "E92000001", "metric": "COVID-19_testing_PCRcountByDay", "metric_group": "testing", "stratum": "default", "sex": "all", "age": "all", "year": 2020, "month": 2, "epiweek": 7, "date": "2020-02-10", "metric_value": 1170.0, "in_reporting_delay_period": false }, { "theme": "infectious_disease", "sub_theme": "respiratory", "topic": "COVID-19", "geography_type": "Nation", "geography": "England", "geography_code": "E92000001", "metric": "COVID-19_testing_PCRcountByDay", "metric_group": "testing", "stratum": "default", "sex": "all", "age": "all", "year": 2020, "month": 2, "epiweek": 7, "date": "2020-02-11", "metric_value": 1572.0, "in_reporting_delay_period": false }, { "theme": "infectious_disease", "sub_theme": "respiratory", "topic": "COVID-19", "geography_type": "Nation", "geography": "England", "geography_code": "E92000001", "metric": "COVID-19_testing_PCRcountByDay", "metric_group": "testing", "stratum": "default", "sex": "all", "age": "all", "year": 2020, "month": 2, "epiweek": 7, "date": "2020-02-12", "metric_value": 2068.0, "in_reporting_delay_period": false } ] }